precision mediump float;

varying vec2 v_texCoord;
varying vec2 v_backgroundTexCoord;

uniform vec4 u_background_color;

void main() {
  gl_FragColor = mix(
      vec4(0.,0.,0., 0.),
      vec4(u_background_color.rgb * u_background_color.a, u_background_color.a),
      float(
          v_backgroundTexCoord.x < 0.0 || // Left
          v_backgroundTexCoord.y < 0.0 || // Top
          v_backgroundTexCoord.x > 1.0 || // Right
          v_backgroundTexCoord.y > 1.0    // Bottom
      )
  );
}